export default class NumberKFormatter {

  static format(number) {
    const absNumber = Math.abs(number);
    if (absNumber >= 1_000_000) {
      return this._kFormat(number, 1_000_000, 'KK');
    } else if (absNumber >= 1_000) {
      return this._kFormat(number, 1_000, 'K');
    } else {
      return number.toString();
    }
  }

  static _kFormat(number, divisor, suffix) {
    const formattedNumber = (number / divisor).toFixed(1);
    return `${formattedNumber}${suffix}`;
  }

}
