import NewRequest from './NewRequest.js';

export default class Requester {

  static REQUEST_CLASS = NewRequest;

  // Data
  static async getData(url, headers = null) {
    const request = await this.get(url, headers)
    return request.responseData;
  }

  static async postData(url, data = null, headers = null) {
    const request = await this.post(url, data, headers);
    return request.responseData;
  }

  static async patchData(url, data = null, headers = null) {
    const request = await this.patch(url, data, headers);
    return request.responseData;
  }

  // Request
  static async get(url, headers = null) {
    const request = new this.REQUEST_CLASS(url, 'GET', null, headers)
    return request._request();
  }

  static async post(url, data = null, headers = null) {
    const request = new this.REQUEST_CLASS(url, 'POST', data, headers)
    return request._request();
  }

  static async patch(url, data = null, headers = null) {
    const request = new this.REQUEST_CLASS(url, 'PATCH', data, headers)
    return request._request();
  }

  static async delete(url, data = null, headers = null) {
    const request = new this.REQUEST_CLASS(url, 'DELETE', data, headers)
    return request._request();
  }

}
